Skip to main content
GET
Get total earnings for user by date

Authorizations

POLY_API_KEY
string
header
required

Your API key

POLY_ADDRESS
string
header
required

Ethereum address associated with the API key

POLY_SIGNATURE
string
header
required

HMAC signature of the request

POLY_PASSPHRASE
string
header
required

API key passphrase

POLY_TIMESTAMP
string
header
required

Unix timestamp of the request

Query Parameters

date
string<date>
required

Date in YYYY-MM-DD format

signature_type
enum<integer>

Signature type for address derivation (required for API KEY auth):

  • 0: EOA
  • 1: POLY_PROXY
  • 2: POLY_GNOSIS_SAFE
Available options:
0,
1,
2
maker_address
string

Maker address to query earnings for

sponsored
boolean
default:false

If true, aggregates both native and sponsored earnings

Response

Successfully retrieved total user earnings

date
string<date-time>
required

Date of the earnings

asset_address
string
required

Address of the reward asset

maker_address
string
required

Address of the maker

earnings
number<double>
required

Total amount of earnings in the asset

asset_rate
number<double>
required

Exchange rate of the asset